#-----------------------------------------------------------------------------
%define		dist		.ok
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-themes
Version		:	3.22.23
Release		:	14.4.0.0%{?dist}
Summary		:	Theme for MATE
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/mate-desktop/mate-themes

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk2+
BuildRequires	:	mate-common

BuildArch	:	noarch

Requires	:	gtk3+

#-----------------------------------------------------------------------------
%description
The '%{name}' package contains a collection of desktop themes for
MATE. These themes can change the appearance of application widgets,
icons, window borders, cursors, etc.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/themes/*
%{_datadir}/icons/%{sname}/
%{_datadir}/icons/%{sname}-black/
%{_datadir}/icons/ContrastHigh/

%post
ICONS="							\
	mate-black					\
	ContrastHigh					\
      "

for icons in ${ICONS}
  do
  %{__mkdir_p} %{_datadir}/icons/${icons}
  %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/${icons} 2> /dev/null
  done

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
	--sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
	--sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
